import datetime
import logging
import time

from tkschedule.emails import EmailManager
from .models import ReservIndex

logger = logging.getLogger('tkschedule.tasks')

MAIL_CONf = {
    # 'msg_from': 'trialmold@tkmold.com',
    # 'password': '123456',
    'msg_from': 'soliary02@163.com',
    'password': 'ZGHKSEWBQSMUNGBS',
    # 'msg_to': ['trialmold@tkmold.com'],
    'msg_to': ['1621582331@qq.com'],
    'msg_subject': '试模约机确认提醒(请勿回复本邮件)！',
    'msg_content': 'No Content!',
    'attach_file': r'',
    'msg_date': time.ctime()
}


def testEmail():
    email_manager = EmailManager(**MAIL_CONf)

    dt_s = datetime.datetime.now().date()
    dt_e = (dt_s + datetime.timedelta(3)) # 提前3天
    objs = ReservIndex.objects.filter(r_trialdate__range=[dt_e, dt_e]).values('r_tag', 'r_trialdate',
                                                                              'r_mold_no', 'r_trial_no',
                                                                              'reservextra__r_make_engineer',
                                                                              'reservextra__r_mk_email')
    print(objs)
    count = objs.count()
    if count != 0:
        for item in objs:
            mk_email = item['reservextra__r_mk_email']
            print(mk_email)
            continue
            logger.info(mk_email)
            if mk_email == 'N/A':
                logger.info("Email address is blank!")
                continue
            logger.info("Email address exists.")
            mold_no = item['r_mold_no']
            trial_no = item['r_trial_no']
            trial_date = item['r_trialdate']
            msg_content = f"您预约的{mold_no}-{trial_no}试模将于{trial_date}进行，请前往试模系统进行确认！（若无预约请勿略此邮件。）"

            email_manager.set_msg_content(msg_content)
            # email_manager.set_msg_to(['trialmold@tkmold.com']) # mk_email
            email_manager.send()


